Skip to content

Signatures

A signature is a file that belongs to a signature custom field for a job. A signature attachment is always of type PNG. (Please note, this API call does not refer to the Proof of Delivery signature which is present on all jobs by default.)

The API only allows the retrieval of these images. It is not possible to update, edit or delete signatures via the API.

Retrieve A Specific Signature Image

Request

Reads one signature and returns a PNG. You can find the signature ID using the job API call.

Security
apiKey
Path
signature_idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/signatures/{signature_id}.png
curl -i -X GET \
  'https://api.vworkapp.com/v5/signatures/{signature_id}.png?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"private"
Content-Dispositionstring
Example:"inline"
Content-Lengthstring
Example:"15797"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Content-Transfer-Encodingstring
Example:"binary"
Datestring
Example:"Tue, 14 Jun 2016 03:21:31 GMT"
ETagstring
Example:"W/\"225373ffd545ae30c4bfd5c05a7560c2\""
Last-Modifiedstring
Example:"Tue, 14 Jun 2016 03:13:27 GMT"
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"2a2a3f48-5027-4fff-980a-df4fafe8c85c"
X-Runtimestring
Example:"0.112262"
X-Unique-IDstring
Example:"CA7C7B8A:D4AB_0A000ED8:01BB_575F782A_7A2D21:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyimage/png
string

Raw XML payload — see the example.

Response
Returns PNG bitmap data